## heyu 1.28-3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # Makefile for CM11, a program to control an X10 CM11A computer interface.
-# $Revision: 1.5 $
-
-BIN = $(DESTDIR)/usr/bin
-MAN = $(DESTDIR)/usr/man/man1
-MAN5 = $(DESTDIR)/usr/man/man5
-GROUP = root 
-OWNER = root 
+# $Revision: 1.12 $
+BIN = debian/tmp/usr/bin
+MAN = debian/tmp/usr/man/man1
+MAN5 = debian/tmp/usr/man/man5
+GROUP = sys
+OWNER = bin
 
 
 #	set DFLAGS equal to:
@@ -13,15 +12,23 @@
 #	   -DSYSV	if using SYSTEM V
 #	   -DVOID	if compiler doesn't understand 'void'
 #	   -DMINIEXCH	if using the DEC mini-exchange
-DFLAGS = -DSYSV -DPOSIX 
 
-CFLAGS = -g $(DFLAGS)
+CFLAGS = -O $(DFLAGS) -Wall
 #LDFLAGS = -z -i
 #LIBS = -lm -lc_s		# uncomment if using shared libraries
 LIBS = -lm -lc
 
+##  For LINUX, use the following defines in addition to what's above
+DFLAGS = -DSYSV -DPOSIX -DHAS_ITIMER -DLINUX -DHASSELECT
+
 ##  For solaris, use the following defines in addition to what's above
-# DFLAGS = -DSYSV -DPOSIX -DSOLARIS
+# DFLAGS = -DSYSV -DPOSIX -DSOLARIS -DLOCKDIR=\"/var/spool/locks\" -DHASSELECT
+
+## if you're using freebsd, just set the flag for select.
+# DFLAGS= -DHASSELECT
+
+## If you aren't sure, try this
+#DFLAGS = -DSYSV -DPOSIX 
 
 ## Use the following for nextstep 3.3 (uncomment the next 4 lines)
 #DFLAGS =  -DPOSIX
@@ -32,14 +39,17 @@
 
 SRCS =	date.c erase.c info.c  message.c relay.c \
 	monitor.c reset.c setclock.c stop.c \
-	tty.c turn.c x10.c xread.c xwrite.c status.c cm11a.c 
+	tty.c turn.c x10.c xread.c xwrite.c status.c cm11a.c \
+	eeprom.c preset.c parse_sched.c
 
 OBJS =	date.o erase.o info.o message.o relay.o \
 	monitor.o reset.o setclock.o stop.o \
-	tty.o turn.o x10.o xread.o xwrite.o status.o cm11a.o
+	tty.o turn.o x10.o xread.o xwrite.o status.o cm11a.o \
+	eeprom.o preset.o parse_sched.o
 
-OTHERSRC = README Makefile x10config protocol.txt \
-	monit x10biff heyu.1 x10.h x10config.5 history version.h heyufaq.txt
+OTHERSRC = README Makefile x10config protocol.txt eeprom.h \
+	x10sched.conf.sample  monit x10biff heyu.1 x10.h x10config.5 \
+	history.txt version.h heyufaq.txt x10sched.5
 
 EVERYTHING = $(OTHERSRC) $(SRCS)
 
@@ -48,7 +58,15 @@
 
 $(OBJS): x10.h
 
-install: $(BIN)/heyu  $(MAN)/heyu.1 $(MAN5)/x10config.5
+eeprom.o:	eeprom.h
+
+install: $(BIN)/heyu  $(MAN)/heyu.1 $(MAN5)/x10config.5 $(MAN5)/x10sched.5
+
+uninstall:
+	rm -f $(BIN)/heyu
+	rm -f $(MAN)/heyu.1
+	rm -f $(MAN5)/x10config.5
+	rm -f $(MAN5)/x10sched.5
 
 $(BIN)/heyu:	heyu
 	cp heyu $(BIN)
@@ -56,13 +74,17 @@
 	chmod 755 $(BIN)/heyu
 	chown $(OWNER) $(BIN)/heyu
 
-$(MAN)/heyu.1:
+$(MAN)/heyu.1: heyu.1
 	cp heyu.1 $(MAN)
 	chmod 644 $(MAN)/heyu.1
 
-$(MAN5)/x10config.5:
+$(MAN5)/x10config.5: x10config.5
 	cp x10config.5 $(MAN5)
 	chmod 644 $(MAN5)/x10config.5
+
+$(MAN5)/x10sched.5: x10sched.5
+	cp x10sched.5 $(MAN5)
+	chmod 644 $(MAN5)/x10sched.5
 
 lint:
 	lint $(DFLAGS) $(SRCS)
@@ -71,7 +93,7 @@
 
 x10.o:	x10.c version.h
 
-ci:	$(SRCS) index.html Makefile
+ci:	$(SRCS) index.htm Makefile
 	@ for FL in $+ ; do \
 	if test -w $$FL ; then \
         ci -l $$FL ;\
@@ -111,7 +133,7 @@
 clobber: clean
 	rm -f heyu
 
-upload:	heyu index.html x10_heyu.tgz x10_heyu.zip
+upload:	heyu index.htm x10_heyu.tgz x10_heyu.zip
 	/bin/sh -c ./upload.sh
 
 rcsdiffrw:
