=== debian/changelog ===
heyu (1.28-3) unstable; urgency=low

  * Change config file names
  * Removed suggests of xtend

 -- Troy Hanson <troy@debian.org>  Tue, 11 Jan 2000 09:13:48 -0600 

heyu (1.28-2) unstable; urgency=low

  * Fixed broken binary problem

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.28-1) unstable; urgency=low

  * New Upstream Version

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.19-9) unstable; urgency=low

  * Fixed bugs caused by fixing Lintian bugs.  
  * Corrected Bug #32077

 -- Troy Hanson <troy@debian.org>  Tue, 19 Jan 1999 08:17:12 -0600

heyu (1.19-8) unstable; urgency=low

  * Fixed Lintian bugs

 -- Troy Hanson <troy@debian.org>  Mon, 11 Jan 1999 19:32:31 -0600

heyu (1.19-5) unstable; urgency=low

  * Fixed Bugs 25066 and 25067 (conffile and upstream source errors).  Thanks goes to edwalter@iname.com

 -- Troy Hanson <troy@debian.org>  Sun, 26 Jul 1998 19:25:00 -0500

heyu (1.19-4) unstable; urgency=low

  * Changed priority to optional to match xtend

 -- Troy Hanson <troy@debian.org>  Sat, 11 Jul 1998 01:29:09 -0500

heyu (1.19-3) unstable; urgency=low

  * Fixed manual page for configuration file

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 23:21:16 -0500

heyu (1.19-2) unstable; urgency=low

  * Changed Configuration file location to allow init.d initialization

 -- Troy Hanson <troy@debian.org>  Tue, 23 Jun 1998 22:11:26 -0500

heyu (1.19-1) unstable; urgency=low

  * 
  * -1
  * 
  * Initial Release.

 -- Troy Hanson <troy@debian.org>  Thu, 18 Jun 1998 16:24:59 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "troy@debian.org"
End:
